MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024831Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-04-15 09:192016-10-07 17:45
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024831: Make iterators of NCollection classes STL-compatible
DescriptionCurrently NCollection classes cannot be used directly with STL algorithms since they do not support standard STL interface for iterators. It should be easy to provide this interfaces by:

- extending iterator classes by necessary operators (*, ->, ++, ==, !=)
- providing method begin() in corresponding collection returning new iterator
- providing method end() in collection returning empty iterator (comparing as equal to iterator in "! More()" state)

The iterators should comply to requirements of at least forward iterator, and inherit std::iterator class to provide necessary typedefs, see http://www.cplusplus.com/reference/iterator/iterator/ [^]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024750closedabv Open CASCADE Replace instantiations of TCollection generic classes by NCollection templates 
parent of 0024911closedapn Open CASCADE Avoid using virtual functions in NCollection classes 
related to 0027571resolvedabv Open CASCADE Foundation Classes - bad implementation of NCollection_Sequence::Iterator in reversed mode 
child of 0024859closedabv Open CASCADE Replace SortTools by STL equivalents 

-  Notes
(0028835)
abv (manager)
2014-04-15 09:31

Note that this improvement would allow replacing generic classes from SortTools package by std::sort algorithms and thus get rid of problem of instantiation of SortTools with imported classes, currently blocking 0024750.
(0028838)
abv (manager)
2014-04-15 12:56

The classes to be treated are:

- NCollection_Array1
- NCollection_Vector
- NCollection_List
- NCollection_Sequence
- NCollection_Map
- NCollection_DataMap
- NCollection_IndexedMap
- NCollection_IndexedDataMap
- TColStd_PackedMapOfInteger
(0028924)
dbp (developer)
2014-04-17 12:56

Dear kgv,

please review the patch in branch CR24831_3.
(0028960)
dbp (developer)
2014-04-18 12:48

Dear kgv,

please review patch in branch CR24831_3.
(0028973)
dbp (developer)
2014-04-18 17:09

Dear abv,

please review the patch in branch CR24831_5.
(0029265)
abv (manager)
2014-05-09 18:01

Results of performance testing (OCCT collections vs. STL), version 18.04 (commit aadaed9f6a4085e09de6254100dd797fbeb95d90):

(Size | STL time | OCCT time | STL/OCCT boost)

std::vector vs NCollection_Array1 (double):

10000 0.0094161739 0.036111272 3.835026
20000 0.019799389 0.077285399 3.9034234
40000 0.042988787 0.16549375 3.8496956
80000 0.09614527 0.35077055 3.6483392
160000 0.20547878 0.73498497 3.5769385
320000 0.43081899 1.4879547 3.4537815
640000 0.89191109 3.0304042 3.3976528
1280000 1.9174498 6.2022679 3.2346443

std::vector vs NCollection_Vector (double):

10000 0.0093685915 0.06602191 7.0471543
20000 0.019938871 0.14453652 7.2489823
40000 0.042881494 0.30578284 7.1308813
80000 0.096195651 0.64222364 6.6762233
160000 0.21581768 1.343643 6.2258245
320000 0.42830599 2.7765687 6.4826753
640000 0.89595839 5.5819657 6.2301618
1280000 1.9322334 11.407781 5.9039352

std::list vs NCollection_List (double):

10000 0.023830827 0.095531831 4.0087501
20000 0.049278054 0.19079356 3.8717755
40000 0.096267491 0.38474155 3.9965885
80000 0.21084486 0.77851442 3.6923567
160000 0.52624027 1.6235886 3.0852611
320000 1.3079059 3.3593065 2.568462
640000 2.6561667 6.7082605 2.525542
1280000 5.3153371 13.429039 2.5264698

std::set vs NCollection_Map (double):

100000 0.012604191 0.0014969781 0.11876828
200000 0.013488663 0.0016392586 0.12152862
400000 0.016338006 0.001638792 0.10030551
800000 0.018440027 0.0025414573 0.13782287
1600000 0.017235073 0.0016859081 0.097818444
3200000 0.017455259 0.0017255598 0.098856159

std::set vs NCollection_IndexedMap (double):

100000 0.01319104 0.0025036715 0.18980091
200000 0.019685098 0.0027387841 0.13912982
400000 0.018919115 0.0025629159 0.13546701
800000 0.025033448 0.0034217306 0.13668635
1600000 0.028120236 0.0025666479 0.091274054
3200000 0.029349913 0.0030182139 0.10283553
(0029266)
abv (manager)
2014-05-09 18:03

Results of performance testing (OCCT collections vs. STL), improved version 23.04 (commit 400950fa3cde0f0e6ca14c42c59fa5dba7bea6b1):

(Size | STL time | OCCT time | STL/OCCT boost)

std::vector vs NCollection_Array1 (double):

10000 0.0091414091 0.022602083 2.4724944
20000 0.019952866 0.051461711 2.5791639
40000 0.04315346 0.10806978 2.5043132
80000 0.095983397 0.22701959 2.3651965
160000 0.2010233 0.47766335 2.3761591
320000 0.41237943 0.9780748 2.3717836
640000 0.84431708 2.025937 2.3994979
1280000 1.8158927 4.2121091 2.3195804

std::vector vs NCollection_Vector (double):

10000 0.0092113833 0.054478992 5.9143117
20000 0.019576872 0.12242192 6.2533956
40000 0.043329794 0.25344039 5.8491021
80000 0.095033616 0.53551323 5.6349874
160000 0.2022054 1.1163155 5.520701
320000 0.40928612 2.3263771 5.6839874
640000 0.87036795 4.7526044 5.4604543
1280000 1.8176285 9.8187905 5.4019787

std::list vs NCollection_List (double):

10000 0.023683882 0.043288276 1.8277526
20000 0.048081965 0.088924882 1.8494436
40000 0.098223032 0.17294645 1.7607525
80000 0.20214802 0.35086199 1.7356687
160000 0.4894036 0.7724584 1.5783668
320000 1.2381837 1.7052395 1.3772104
640000 2.4254581 3.4092553 1.405613
1280000 5.0090934 6.8126156 1.3600496

std::set vs NCollection_Map (double):

100000 0.014085775 0.0015608878 0.11081306
200000 0.013707449 0.0016406581 0.11969099
400000 0.016581049 0.0016467227 0.099313537
800000 0.018100886 0.001792735 0.099041282
1600000 0.028072654 0.0017041012 0.060703247
3200000 0.018098553 0.0017386216 0.096064122

std::set vs NCollection_IndexedMap (double):

100000 0.015871046 0.0024994728 0.15748633
200000 0.020103076 0.0027625752 0.13742052
400000 0.017210349 0.0024691508 0.14346895
800000 0.023520609 0.0034338597 0.14599366
1600000 0.025710796 0.0026436194 0.10282137
3200000 0.024340705 0.0029617681 0.12167964
(0029267)
abv (manager)
2014-05-09 18:38

Results of performance testing (OCCT collections vs. STL), version of 23.04 + fix for 0024911 (commit 100cf52c9e59816061577755dab7cffabdb2e431):

(Size | STL time | OCCT time | STL/OCCT boost)

std::vector vs NCollection_Array1 (sort):

10000 0.0094380991 0.012172218 1.2896896
20000 0.019973391 0.025608634 1.2821375
40000 0.04320664 0.05659594 1.3098899
80000 0.095747817 0.11747289 1.2268989
160000 0.2008507 0.24482472 1.2189389
320000 0.42507459 0.49796142 1.1714683
640000 0.86801402 1.0361061 1.1936514
1280000 1.8512445 2.1502702 1.1615268

std::vector vs NCollection_Vector (sort):

10000 0.0092361073 0.039095432 4.2328906
20000 0.020210837 0.083289172 4.1210156
40000 0.042841375 0.18021675 4.2066052
80000 0.095123182 0.38691681 4.0675344
160000 0.2040933 0.80745569 3.9563068
320000 0.42063031 1.6752495 3.9827124
640000 0.86146865 3.3841972 3.9284043
1280000 2.0981754 6.9775514 3.3255329

std::list vs NCollection_List (copy):

10000 0.024242274 0.037124963 1.5314142
20000 0.048315678 0.07370646 1.5255185
40000 0.097412733 0.14727484 1.5118643
80000 0.2004957 0.29777035 1.4851708
160000 0.49162364 0.66790225 1.3585641
320000 1.2290339 1.4796184 1.2038874
640000 2.4989518 2.9637926 1.1860143
1280000 5.0451104 5.9839456 1.1860881

std::set vs NCollection_Map (search):

100000 0.012381674 0.0015902768 0.12843795
200000 0.013759696 0.0016467227 0.11967726
400000 0.015918629 0.0016798435 0.1055269
800000 0.019050667 0.0019331495 0.10147411
1600000 0.017289653 0.0016910394 0.09780644
3200000 0.016963108 0.0017157635 0.10114676

std::set vs NCollection_IndexedMap (search):

100000 0.012612122 0.0024756817 0.19629383
200000 0.027358918 0.0051458913 0.18808826
400000 0.028071254 0.0042306308 0.15071043
800000 0.019252659 0.0034581174 0.17961765
1600000 0.022499921 0.0026375551 0.11722509
3200000 0.024887435 0.0029034563 0.11666354
(0029281)
abv (manager)
2014-05-12 16:12

P.S. The tests above are made on Windows 7 station, Intel Core i5-3450 @3.10 GHz, binaries built by vc10 x64
(0029282)
abv (manager)
2014-05-12 16:16

Fix is reviewed, please test (branch CR24831_6).

Denis, please have a look at version with my changes (all squashed in single commit for easier integration, sorry!):

- used standard STL names for template tools and typedefs instead of custom ones
- completed tests by compile-time check of iterator interface
- added tests for performance of array and vector on forward iteration (replace)
- some simplification and refactoring
(0029335)
apn (administrator)
2014-05-14 18:05

There are compile errors:

./../../../inc/NCollection_StlIterator.hxx:133: error: ISO C++ forbids declaration of ‘reference’ with no type
../../../../inc/NCollection_StlIterator.hxx:133: error: expected ‘;’ before ‘operator’
../../../../inc/NCollection_StlIterator.hxx:139: error: expected ‘;’ before ‘pointer’
../../../../inc/NCollection_StlIterator.hxx:139: error: ISO C++ forbids declaration of ‘pointer’ with no type
../../../../inc/NCollection_StlIterator.hxx:139: error: expected ‘;’ before ‘operator’
../../../../inc/NCollection_StlIterator.hxx:145: error: expected ‘;’ before ‘NCollection_StlIterator’
../../../../inc/NCollection_StlIterator.hxx:181: error: declaration of ‘operator+=’ as non-function
../../../../inc/NCollection_StlIterator.hxx:181: error: expected ‘;’ before ‘(’ token
../../../../inc/NCollection_StlIterator.hxx:189: error: expected ‘;’ before ‘NCollection_StlIterator’
../../../../inc/NCollection_StlIterator.hxx:189: error: ‘difference_type’ has not been declared
../../../../inc/NCollection_StlIterator.hxx:196: error: declaration of ‘operator-=’ as non-function
../../../../inc/NCollection_StlIterator.hxx:196: error: expected ‘;’ before ‘(’ token
../../../../inc/NCollection_StlIterator.hxx:202: error: expected ‘;’ before ‘NCollection_StlIterator’
../../../../inc/NCollection_StlIterator.hxx:202: error: ‘difference_type’ has not been declared
../../../../inc/NCollection_StlIterator.hxx:209: error: ISO C++ forbids declaration of ‘difference_type’ with no type
../../../../inc/NCollection_StlIterator.hxx:209: error: expected ‘;’ before ‘operator’
../../../../inc/NCollection_StlIterator.hxx:216: error: expected ‘;’ before ‘reference’
../../../../inc/NCollection_StlIterator.hxx:216: error: ISO C++ forbids declaration of ‘reference’ with no type
../../../../inc/NCollection_StlIterator.hxx:216: error: expected ‘;’ before ‘operator’
../../../../inc/NCollection_StlIterator.hxx:222: error: expected ‘;’ before ‘bool’
(0029339)
abv (manager)
2014-05-15 07:00

I have pushed fix intended to eliminate Gcc and CLang compiler errors to CR24831_6
(0029340)
abv (manager)
2014-05-15 07:01

Please check compilation on Linux; if it is Ok I will rebase CR24240 on this version
(0029346)
apn (administrator)
2014-05-15 14:23

Compile errors on Linux:

../../../../inc/NCollection_StlIterator.hxx:133: error: ‘iterator’ has not been declared
../../../../inc/NCollection_StlIterator.hxx:139: error: ‘iterator’ has not been declared
../../../../inc/NCollection_StlIterator.hxx:181: error: declaration of ‘operator+=’ as non-function
../../../../inc/NCollection_StlIterator.hxx:181: error: expected ‘;’ before ‘(’ token
../../../../inc/NCollection_StlIterator.hxx:189: error: expected ‘;’ before ‘NCollection_StlIterator’
../../../../inc/NCollection_StlIterator.hxx:189: error: ‘iterator’ has not been declared
../../../../inc/NCollection_StlIterator.hxx:196: error: declaration of ‘operator-=’ as non-function
../../../../inc/NCollection_StlIterator.hxx:196: error: expected ‘;’ before ‘(’ token
../../../../inc/NCollection_StlIterator.hxx:202: error: expected ‘;’ before ‘NCollection_StlIterator’
../../../../inc/NCollection_StlIterator.hxx:202: error: ‘iterator’ has not been declared
../../../../inc/NCollection_StlIterator.hxx:209: error: ‘iterator’ has not been declared
../../../../inc/NCollection_StlIterator.hxx:216: error: ‘iterator’ has not been declared
../../../../inc/NCollection_StlIterator.hxx:216: error: ‘difference_type’ has not been declared
(0029379)
abv (manager)
2014-05-19 11:01

Fix for compiling with GCC on Linux pushed (with force) to branch CR24831_6, also rebased on current master. Please test.
(0029385)
abv (manager)
2014-05-19 12:22

Pardon, still fails on Linux...
(0029388)
abv (manager)
2014-05-19 13:40

Performance tests on Linux, Debian 6.0 x64:

(Size | STL time | OCCT time | STL/OCCT boost)

std::vector vs NCollection_Array1 (sort):

10000 0.013483 0.007211 0.53482163
20000 0.014163 0.014957 1.0560616
40000 0.029641 0.031237 1.0538443
80000 0.062274 0.065185 1.046745
160000 0.129876 0.135946 1.0467369
320000 0.271049 0.284029 1.047888
640000 0.574987 0.600426 1.0442427
1280000 1.270035 1.335267 1.0513624

std::vector vs NCollection_Vector (sort):

10000 0.006868 0.0196 2.8538148
20000 0.014308 0.041085 2.8714705
40000 0.029871 0.085852 2.8740919
80000 0.062661 0.17926 2.8607906
160000 0.130957 0.374621 2.8606413
320000 0.272871 0.783637 2.8718222
640000 0.575035 1.649187 2.8679767
1280000 1.272577 3.543312 2.7843596

std::vector vs NCollection_Array1 (replace):

10000 0.005859 0.025807 4.4046766
20000 0.011613 0.051555 4.4394213
40000 0.023597 0.103022 4.365894
80000 0.047472 0.206069 4.3408536
160000 0.094776 0.411688 4.3438001
320000 0.18921 0.823539 4.3525131
640000 0.391338 1.648954 4.2136312
1280000 0.827211 3.306428 3.9970793

std::vector vs NCollection_Vector (replace):

10000 0.005921 0.035045 5.9187637
20000 0.011775 0.070214 5.9629724
40000 0.023709 0.14032 5.9184276
80000 0.047448 0.280535 5.9124726
160000 0.094721 0.561424 5.9271334
320000 0.190474 1.123197 5.8968521
640000 0.387713 2.253452 5.8121652
1280000 0.84022 4.521022 5.3807598

std::list vs NCollection_List (replace):

10000 0.017777 0.033688 1.8950329
20000 0.035602 0.066465 1.8668895
40000 0.071293 0.131768 1.84826
80000 0.144789 0.27287 1.8846045
160000 0.318519 0.535529 1.6813094
320000 0.710292 1.095034 1.5416674
640000 1.497181 2.189667 1.4625266
1280000 3.148918 4.366401 1.3866353

std::list vs NCollection_Sequence (replace):

10000 0.017729 0.03332 1.8794066
20000 0.035766 0.066497 1.8592238
40000 0.071117 0.132976 1.8698202
80000 0.147012 0.268744 1.8280412
160000 0.308642 0.544885 1.7654273
320000 0.755433 1.111872 1.471834
640000 1.583972 2.20247 1.3904728
1280000 3.078621 4.391686 1.4265108

std::set vs NCollection_Map (search):

100000 0.009581 0.00067 0.06993007
200000 0.012013 0.000768 0.063930742
400000 0.014561 0.000761 0.052262894
800000 0.01633 0.000833 0.05101041
1600000 0.01914 0.001366 0.071368861
3200000 0.022187 0.001896 0.085455447

std::set vs NCollection_IndexedMap (search):

100000 0.008865 0.001165 0.13141568
200000 0.011118 0.001395 0.12547221
400000 0.013315 0.001432 0.10754788
800000 0.019085 0.001463 0.076657061
1600000 0.022643 0.002718 0.1200371
3200000 0.022418 0.004972 0.22178606
(0029389)
abv (manager)
2014-05-19 13:47

Fix for building and running on Linux pushed to CR24831_6, please test
(0029390)
abv (manager)
2014-05-19 14:10

Results of performance testing on Linux, branch CR24911_2:

(Size | STL time | OCCT time | STL/OCCT boost)

std::vector vs NCollection_Array1 (sort):

10000 0.012923 0.007056 0.54600325
20000 0.014071 0.014739 1.0474735
40000 0.029453 0.030775 1.0448851
80000 0.061686 0.064188 1.0405603
160000 0.129297 0.134042 1.0366985
320000 0.268264 0.280277 1.0447805
640000 0.567782 0.5892 1.0377222
1280000 1.251274 1.296458 1.0361104

std::vector vs NCollection_Vector (sort):

10000 0.006702 0.016111 2.4039093
20000 0.014119 0.033815 2.3949996
40000 0.029573 0.072137 2.4392858
80000 0.065852 0.15073 2.2889206
160000 0.129933 0.314019 2.4167763
320000 0.270505 0.659599 2.4383986
640000 0.577304 1.39393 2.4145511
1280000 1.318671 3.02545 2.2943175

std::vector vs NCollection_Array1 (replace):

10000 0.006077 0.008896 1.4638802
20000 0.011657 0.017344 1.4878614
40000 0.023436 0.035372 1.5093019
80000 0.047185 0.0693 1.4686871
160000 0.093903 0.138145 1.4711458
320000 0.190346 0.276311 1.4516249
640000 0.386175 0.556476 1.4409944
1280000 0.80946 1.120927 1.3847837

std::vector vs NCollection_Vector (replace):

10000 0.005986 0.02537 4.2382225
20000 0.011605 0.050723 4.3707885
40000 0.023414 0.100914 4.3099855
80000 0.047627 0.200095 4.2012934
160000 0.093916 0.400231 4.2615848
320000 0.18816 0.801299 4.2586044
640000 0.387474 1.611417 4.1587745
1280000 0.823121 3.235182 3.9303845

std::list vs NCollection_List (replace):

10000 0.018389 0.01912 1.039752
20000 0.036254 0.037304 1.0289623
40000 0.072117 0.073466 1.0187057
80000 0.14576 0.147348 1.0108946
160000 0.32087 0.327226 1.0198086
320000 0.743428 0.767651 1.0325828
640000 1.580442 1.607933 1.0173945
1280000 3.107892 3.221772 1.0366422

std::list vs NCollection_Sequence (replace):

10000 0.017766 0.018278 1.0288191
20000 0.036089 0.036819 1.0202278
40000 0.071436 0.071686 1.0034996
80000 0.147517 0.150088 1.0174285
160000 0.330478 0.326328 0.98744243
320000 0.767045 0.770686 1.0047468
640000 1.562486 1.592177 1.0190024
1280000 3.082055 3.196284 1.0370626

std::set vs NCollection_Map (search):

100000 0.009915 0.000703 0.070902673
200000 0.012343 0.000783 0.063436766
400000 0.013533 0.000749 0.055346191
800000 0.016337 0.000833 0.050988554
1600000 0.019222 0.001375 0.071532619
3200000 0.021494 0.001836 0.085419187

std::set vs NCollection_IndexedMap (search):

100000 0.008917 0.001156 0.12964001
200000 0.01281 0.001402 0.10944575
400000 0.017526 0.001395 0.079596029
800000 0.016354 0.001557 0.095206066
1600000 0.019582 0.002686 0.13716679
3200000 0.023091 0.004579 0.19830237
(0029413)
apn (administrator)
2014-05-20 15:57

There are compilation errors on PRODUCTS:

Linux:
../../../../src/Geodesic/Geodesic_MeshDistances.cxx: In member function ‘void Geodesic_MeshDistances::ValidatePath(NCollection_Sequence<gp_XYZ>&, NCollection_Sequence<Geodesic_MeshDistances::Link>&)’:
../../../../src/Geodesic/Geodesic_MeshDistances.cxx:725: error: ‘class NCollection_Sequence<gp_XYZ>::Iterator’ has no member named ‘Previous’
../../../../src/Geodesic/Geodesic_MeshDistances.cxx:726: error: ‘class NCollection_Sequence<Geodesic_MeshDistances::Link>::Iterator’ has no member named ‘Previous’

WNT:
..\..\..\src\Geodesic\Geodesic_MeshDistances.cxx(725) : error C2039: 'Previous' : is not a member of 'NCollection_Sequence<TheItemType>::Iterator'
..\..\..\src\Geodesic\Geodesic_MeshDistances.cxx(726) : error C2039: 'Previous' : is not a member of 'NCollection_Sequence<TheItemType>::Iterator'
..\..\..\src\PolyAlgo\PolyAlgo_MakePocket.cxx(578) : error C2039: 'Previous' : is not a member of 'NCollection_Sequence<TheItemType>::Iterator'
(0029441)
abv (manager)
2014-05-21 15:50

Fix pushed to CR24931_7, please review (all last changes are in NCollection_BaseSequence)
(0029449)
kgv (developer)
2014-05-21 17:17

Please test the patch.
(0029580)
apv (tester)
2014-05-28 16:26
edited on: 2014-05-28 16:39

Dear BugMaster,

Branch CR24831_7 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 0ebc442780f038567845c2d4ea85961fdc698207

Number of compiler warnings:

Linux: 16 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (202 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 360330124 / 359731176
Total CPU difference: 49863.45999999995 / 51526.37000000012

Testing on Windows:
Total MEMORY difference: 382924292 / 382738372
Total CPU difference: 35477.265625 / 37501.34375


- Related Changesets
occt: master 79a35943
Timestamp: 2014-04-23 05:38:58
Author: dbp
Committer: apn
Details ] Diff ]
0024831: Make iterators of NCollection classes STL-compatible

STL-compatible iterators returned methods begin() and end() are provided in collection classes from NCollection package.
NCollection_Array1::Iterator is redesigned to use pointer instead of index.
Iterators of Sequence, Array, and Vector are extended by new methods to iterate backwards.

Use of SortTools_QuickSortOfReal is replaced by std::sort() in a few places (where possible).
mod - src/GeomFill/GeomFill_Frenet.cxx Diff ] File ]
mod - src/NCollection/FILES Diff ] File ]
mod - src/NCollection/NCollection_Array1.hxx Diff ] File ]
mod - src/NCollection/NCollection_Array2.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseList.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseSequence.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseSequence.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseVector.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseVector.hxx Diff ] File ]
mod - src/NCollection/NCollection_DataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedDataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_List.hxx Diff ] File ]
mod - src/NCollection/NCollection_Map.hxx Diff ] File ]
mod - src/NCollection/NCollection_Sequence.hxx Diff ] File ]
add - src/NCollection/NCollection_StlIterator.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vector.hxx Diff ] File ]
mod - src/QANCollection/FILES Diff ] File ]
mod - src/QANCollection/QANCollection.cdl Diff ] File ]
mod - src/QANCollection/QANCollection.cxx Diff ] File ]
add - src/QANCollection/QANCollection_Stl.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Glue_shell.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-15 09:19 abv New Issue
2014-04-15 09:19 abv Assigned To => abv
2014-04-15 09:31 abv Note Added: 0028835
2014-04-15 09:35 abv Relationship added related to 0024750
2014-04-15 12:12 abv Assigned To abv => dbp
2014-04-15 12:12 abv Status new => assigned
2014-04-15 12:56 abv Note Added: 0028838
2014-04-17 12:56 dbp Note Added: 0028924
2014-04-17 12:56 dbp Assigned To dbp => kgv
2014-04-17 12:56 dbp Status assigned => feedback
2014-04-18 12:48 dbp Note Added: 0028960
2014-04-18 12:48 dbp Status feedback => resolved
2014-04-18 17:04 dbp Assigned To kgv => dbp
2014-04-18 17:04 dbp Status resolved => assigned
2014-04-18 17:09 dbp Note Added: 0028973
2014-04-18 17:09 dbp Assigned To dbp => abv
2014-04-18 17:09 dbp Status assigned => resolved
2014-04-18 17:12 abv Severity minor => feature
2014-04-18 17:16 abv Relationship added child of 0024859
2014-05-08 20:20 abv Relationship added parent of 0024911
2014-05-09 18:01 abv Note Added: 0029265
2014-05-09 18:03 abv Note Added: 0029266
2014-05-09 18:38 abv Note Added: 0029267
2014-05-12 16:12 abv Note Added: 0029281
2014-05-12 16:16 abv Note Added: 0029282
2014-05-12 16:16 abv Assigned To abv => bugmaster
2014-05-12 16:16 abv Status resolved => reviewed
2014-05-14 16:30 apn Assigned To bugmaster => apn
2014-05-14 18:05 apn Note Added: 0029335
2014-05-14 18:06 apn Test case number => Not needed
2014-05-14 18:06 apn Assigned To apn => dbp
2014-05-14 18:06 apn Status reviewed => assigned
2014-05-15 07:00 abv Note Added: 0029339
2014-05-15 07:00 abv Assigned To dbp => apn
2014-05-15 07:00 abv Status assigned => resolved
2014-05-15 07:01 abv Note Added: 0029340
2014-05-15 07:01 abv Status resolved => reviewed
2014-05-15 14:23 apn Note Added: 0029346
2014-05-15 14:23 apn Assigned To apn => abv
2014-05-15 14:23 apn Status reviewed => assigned
2014-05-19 11:00 abv Status assigned => resolved
2014-05-19 11:01 abv Note Added: 0029379
2014-05-19 11:01 abv Assigned To abv => bugmaster
2014-05-19 11:01 abv Status resolved => reviewed
2014-05-19 12:22 abv Note Added: 0029385
2014-05-19 12:22 abv Assigned To bugmaster => abv
2014-05-19 12:22 abv Status reviewed => assigned
2014-05-19 13:40 abv Note Added: 0029388
2014-05-19 13:46 abv Status assigned => resolved
2014-05-19 13:47 abv Note Added: 0029389
2014-05-19 13:47 abv Assigned To abv => bugmaster
2014-05-19 13:47 abv Status resolved => reviewed
2014-05-19 14:10 abv Note Added: 0029390
2014-05-19 14:10 apn Assigned To bugmaster => apn
2014-05-20 15:57 apn Note Added: 0029413
2014-05-20 15:58 apn Assigned To apn => abv
2014-05-20 15:58 apn Status reviewed => assigned
2014-05-21 15:50 abv Note Added: 0029441
2014-05-21 15:50 abv Assigned To abv => kgv
2014-05-21 15:50 abv Status assigned => resolved
2014-05-21 17:17 kgv Note Added: 0029449
2014-05-21 17:17 kgv Assigned To kgv => bugmaster
2014-05-21 17:17 kgv Status resolved => reviewed
2014-05-22 10:59 bugmaster Assigned To bugmaster => apn
2014-05-26 17:43 apn Assigned To apn => apv
2014-05-28 16:26 apv Note Added: 0029580
2014-05-28 16:27 apv Assigned To apv => bugmaster
2014-05-28 16:27 apv Status reviewed => tested
2014-05-28 16:39 apn Note Edited: 0029580 View Revisions
2014-05-30 12:59 apn Changeset attached => occt master 79a35943
2014-05-30 12:59 apn Assigned To bugmaster => apn
2014-05-30 12:59 apn Status tested => verified
2014-05-30 12:59 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed
2016-09-28 19:37 kgv Relationship added related to 0027571
2016-10-07 17:45 kgv Relationship added related to 0027941


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker